jQuery(document).ready(function() {
   
    var page = jQuery('#page'),
    menuItems = jQuery('#site-navigation .menu-item').on('click', function() {
        
        var $this = jQuery(this);

        // bounce if current page's menu item is clicked
        if($this.hasClass('current-menu-item') || page.hasClass('cj-loading')) return false;
        
        // update menu item styles
        menuItems.removeClass('current-menu-item');
        $this.addClass('current-menu-item'); 
        
        // show CSS-based page-change preloader
        page.addClass('cj-loading');

        // retrieve new page's contents
        jQuery.ajax($this.children('a').attr('href')).done(function(data) {
            
            // hide preloader
            page.removeClass('cj-loading');

            // load contents from new pages "#primary" div into current page's "#content" div
            jQuery('#content').html(jQuery(data).find('#primary'));
            
        });
        
        // prevent normal link behavior
        return false;
        
    });
    
});